<?php 

//---------------gb2312----------------------------------------------------------
function csubstr($str,$start,$len) 
  { 
        $strlen=strlen($str); 
        $clen=0; 
        for($i=0;$i<$strlen;$i++,$clen++) 
       { 
           if ($clen>=$start+$len) 
               break; 
			   
           if(ord(substr($str,$i,1))>127) 
          { 
               if ($clen>=$start) 
                     $tmpstr.=substr($str,$i,3); 
               $i++; 
          } 
          else 
         { 
            if ($clen>=$start) 
            $tmpstr.=substr($str,$i,1); 
          } 
      }
       return $tmpstr; 
}



//---------------utf8-------汉字认为是二个字符------------
 function utf8_substr($str,$len)
 {
     $x=0;
	 for($i=0;$i<$len;$i++)
     {
          $temp_str=substr($str,0,1);
          if(ord($temp_str)>127)
          {
              $i++;
			  
              if($i<$len)
              {
                  $new_str[$x]=substr($str,0,3);
                  $str=substr($str,3);
				  $x=$x+1;
              }
          }
          else
         {
             $new_str[$x]=substr($str,0,1);
			 $x=$x+1;
             $str=substr($str,1);
         }
		 
      }
	 //$return_str=join($new_str);
	 $return_str='';
	 for($y=0;$y<count($new_str);$y++)
	 {
		$return_str=$return_str.$new_str[$y]; 
	 }
     return $return_str;
	 
   }
   
   
 
   
   
?> 
 